Bug 178827 - No good way to assoicate a handler with a MIME type
No good way to assoicate a handler with a MIME type
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: nautilus (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
Jay Turner
Depends On:
  Show dependency treegraph
Reported: 2006-01-24 12:34 EST by Toralf
Modified: 2015-01-07 19:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-04 11:56:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Toralf 2006-01-24 12:34:39 EST
Description of problem:
I'm trying to install an application with the necessary config to ensure that
this application will be opened whenever files of a certain type is
double-clicked under the GNOME desktop.

Unfortunately, how this is done is *completely undocumented* as far as I can
tell. Also, the config that has worked in the past no longer does, i.e.
mentioning the MIME type in /usr/share/application-registry/<name>.applications.
And what I thought may be the new way of doing it, i.e. including

MimeType=<my type>

in /usr/share/applications/<name>.desktop does not seem to help, either.

I trying really hard not to star yelling, now. This constant changing of how
things work *without providing compatibility for old-style config* must change
right now. Also, as far as I can tell, no config mechanism has been standardised
by freedesktop.org. Why change from something that works reasonably well to
something else that's nonstandard, when a new standard is right around the corner?

Version-Release number of selected component (if applicable):

How reproducible:
Every time

Steps to Reproduce:
You know what I mean
Comment 1 Alexander Larsson 2006-01-25 04:26:08 EST
You have to set mimetype in the desktop file, and then run
update-desktop-database afterward (i.e. in the rpm post script).

Note You need to log in before you can comment on or make changes to this bug.